<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group whitores-game-schedulech
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

Auth::routes();
// frontend routes start
Route::get('/', function () {
  return view('auth.login');
});

Route::get('/charts', function () {
  return view('frontend.chart.index');
});

Route::get('/jackpot-chart', function () {
  return view('frontend.jackpot-chart.index');
});


Route::get('/starline-chart', function () {
  return view('frontend.starline-chart.index');
});

Route::get('/all-starline-pana', function () {
  return view('frontend.all-starline-pana.index');
});

Route::get('/10_30-am/starline-pana', function () {
  return view('frontend.10_30-am.index');
});

Route::get('/11_30-am/starline-pana', function () {
  return view('frontend.11_30-am.index');
});

Route::get('/12_30-pm/starline-pana', function () {
  return view('frontend.12_30-pm.index');
});

Route::get('/01_30-pm/starline-pana', function () {
  return view('frontend.01_30-pm.index');
});

Route::get('/02_30-pm/starline-pana', function () {
  return view('frontend.02_30-pm.index');
});

Route::get('/03_30-pm/starline-pana', function () {
  return view('frontend.03_30-pm.index');
});

Route::get('/04_30-pm/starline-pana', function () {
  return view('frontend.04_30-pm.index');
});

Route::get('/05_30-pm/starline-pana', function () {
  return view('frontend.05_30-pm.index');
});

Route::get('/06_30-pm/starline-pana', function () {
  return view('frontend.06_30-pm.index');
});

Route::get('/07_30-pm/starline-pana', function () {
  return view('frontend.07_30-pm.index');
});

Route::get('/08_30-pm/starline-pana', function () {
  return view('frontend.08_30-pm.index');
});

Route::get('/09_30-pm/starline-pana', function () {
  return view('frontend.09_30-pm.index');
});

Route::get('/all-jackpot-jodi', function () {
  return view('frontend.all-jackpot-jodi.index');
});

Route::get('/01_00-pm/jackpot-jodi', function () {
  return view('frontend.01_00-pm.jackpot-jodi.index');
});

Route::get('/02_00-pm/jackpot-jodi', function () {
  return view('frontend.02_00-pm.jackpot-jodi.index');
});

Route::get('/03_00-pm/jackpot-jodi', function () {
  return view('frontend.03_00-pm.jackpot-jodi.index');
});

Route::get('/04_00-pm/jackpot-jodi', function () {
  return view('frontend.04_00-pm.jackpot-jodi.index');
});

Route::get('/05_00-pm/jackpot-jodi', function () {
  return view('frontend.05_00-pm.jackpot-jodi.index');
});

Route::get('/06_00-pm/jackpot-jodi', function () {
  return view('frontend.06_00-pm.jackpot-jodi.index');
});

Route::get('/07_00-pm/jackpot-jodi', function () {
  return view('frontend.07_00-pm.jackpot-jodi.index');
});

Route::get('/08_00-pm/jackpot-jodi', function () {
  return view('frontend.08_00-pm.jackpot-jodi.index');
});

Route::get('/09_00-pm/jackpot-jodi', function () {
  return view('frontend.09_00-pm.jackpot-jodi.index');
});

Route::get('/10_00-am/jackpot-jodi', function () {
  return view('frontend.10_00-am.jackpot-jodi.index');
});

Route::get('/11_00-am/jackpot-jodi', function () {
  return view('frontend.11_00-am.jackpot-jodi.index');
});

Route::get('/12_00-pm/jackpot-jodi', function () {
  return view('frontend.12_00-pm.jackpot-jodi.index');
});

Route::get('/radha-morning/jodi', function () {
  return view('frontend.radha-morning.jodi.index');
});

Route::get('/radha-morning/pana', function () {
  return view('frontend.radha-morning.pana.index');
});

Route::get('/lata-morning/jodi', function () {
  return view('frontend.lata-morning.jodi.index');
});

Route::get('/lata-morning/pana', function () {
  return view('frontend.lata-morning.pana.index');
});

Route::get('/sridevi/jodi', function () {
  return view('frontend.sridevi.jodi.index');
});

Route::get('/sridevi/pana', function () {
  return view('frontend.sridevi.pana.index');
});

Route::get('/time-bazar/jodi', function () {
  return view('frontend.time-bazar.jodi.index');
});

Route::get('/time-bazar/pana', function () {
  return view('frontend.time-bazar.pana.index');
});

Route::get('/madhur-day/jodi', function () {
  return view('frontend.madhur-day.jodi.index');
});

Route::get('/madhur-day/pana', function () {
  return view('frontend.madhur-day.pana.index');
});

Route::get('/milan-day/jodi', function () {
  return view('frontend.milan-day.jodi.index');
});

Route::get('/milan-day/pana', function () {
  return view('frontend.milan-day.pana.index');
});

Route::get('/rajdhani-day/jodi', function () {
  return view('frontend.rajdhani-day.jodi.index');
});

Route::get('/rajdhani-day/pana', function () {
  return view('frontend.rajdhani-day.pana.index');
});

Route::get('/lata-day/jodi', function () {
  return view('frontend.lata-day.jodi.index');
});

Route::get('/lata-day/pana', function () {
  return view('frontend.lata-day.pana.index');
});

Route::get('/radha-day/jodi', function () {
  return view('frontend.radha-day.jodi.index');
});

Route::get('/radha-day/pana', function () {
  return view('frontend.radha-day.pana.index');
});

Route::get('/kalyan/jodi', function () {
  return view('frontend.kalyan.jodi.index');
});

Route::get('/kalyan/pana', function () {
  return view('frontend.kalyan.pana.index');
});

Route::get('/lata-night/jodi', function () {
  return view('frontend.lata-night.jodi.index');
});

Route::get('/lata-night/pana', function () {
  return view('frontend.lata-night.pana.index');
});

Route::get('/sridevi-night/jodi', function () {
  return view('frontend.sridevi-night.jodi.index');
});

Route::get('/sridevi-night/pana', function () {
  return view('frontend.sridevi-night.pana.index');
});

Route::get('/madhur-night/jodi', function () {
  return view('frontend.madhur-night.jodi.index');
});

Route::get('/madhur-night/pana', function () {
  return view('frontend.madhur-night.pana.index');
});

Route::get('/milan-night/jodi', function () {
  return view('frontend.milan-night.jodi.index');
});

Route::get('/milan-night/pana', function () {
  return view('frontend.milan-night.pana.index');
});

Route::get('/rajdhani-night/jodi', function () {
  return view('frontend.rajdhani-night.jodi.index');
});

Route::get('/rajdhani-night/pana', function () {
  return view('frontend.rajdhani-night.pana.index');
});

Route::get('/kalyan-night/jodi', function () {
  return view('frontend.kalyan-night.jodi.index');
});

Route::get('/kalyan-night/pana', function () {
  return view('frontend.kalyan-night.pana.index');
});

Route::get('/main-bazar/jodi', function () {
  return view('frontend.main-bazar.jodi.index');
});

Route::get('/main-bazar/pana', function () {
  return view('frontend.main-bazar.pana.index');
});

Route::get('/radha-night/jodi', function () {
  return view('frontend.radha-night.jodi.index');
});

Route::get('/radha-night/pana', function () {
  return view('frontend.radha-night.pana.index');
});
// frontend routes end

Route::post('/loginotp', 'AuthController@otpSend');
Route::post('/postlogin', 'AuthController@postLogin');


Route::get('/admin-login', function () {
  return view('auth.login');
});
Route::get('/change-password', function () {
  return view('admin.layouts.reset');
});


#Start Admin Routes
Route::group(['middleware' => 'auth'], function () {
  Route::get('/dashboard', 'HomeController@index')->name('dashboard');
  Route::get('/change/{id}', 'HomeController@changeStatus');

  Route::get('/home', 'HomeController@index');


  Route::post('/reset-password', 'AuthController@resetPassword');
});

#Start Admin Routes
Route::group(['prefix' => 'admin', 'middleware' => 'auth'], function () {
Route::resource('roles', 'Admin\RoleController');
  Route::resource('how-to-play',  'Admin\Master\HowToPlayController');
  Route::get('how-to-play/delete/{id}', 'Admin\Master\HowToPlayController@destroy');
  Route::get('how-to-play/changestatus/{id}', 'Admin\Master\HowToPlayController@changeStatus');

  Route::resource('game-rule', 'Admin\Master\GameRulesController');
  Route::get('game-rule/delete/{id}', 'Admin\Master\GameRulesController@destroy');
  Route::get('game-rule/changestatus/{id}', 'Admin\Master\GameRulesController@changeStatus');

  Route::resource('announcement', 'Admin\Master\Announcementcontroller');
  Route::get('announcement/delete/{id}', 'Admin\Master\Announcementcontroller@destroy');
  Route::get('announcement/changestatus/{id}', 'Admin\Master\Announcementcontroller@changeStatus');

  Route::resource('/appdetail', 'Admin\AppDetailController');
  Route::get('/appdetail/g-changestatus/{id}', 'Admin\AppDetailController@Gchangestatus');
  Route::get('/appdetail/p-changestatus/{id}', 'Admin\AppDetailController@Pchangestatus');

  Route::resource('/banner', 'Admin\BannerController');
  Route::get('/bannerdelete/{id}', 'Admin\BannerController@destroy');
  Route::get('/luckydelete/{id}', 'Admin\LockyController@destroy');
  Route::get('/lucky/changestatus/{id}', 'Admin\LockyController@changeStatus');

  Route::get('/roulette-set-up', 'Admin\game\GameSetUpController@rouletteSetUp');
  Route::get('/color-set-up', 'Admin\game\GameSetUpController@colorSetUp');
  Route::get('/color-set-up/{id}/coloredit', 'Admin\game\GameSetUpController@coloredit');
  Route::post('/color-set-up/{id}/colorUpdate', 'Admin\game\GameSetUpController@colorUpdate');
  Route::get('/roulette-set-up/{id}/roulettedit', 'Admin\game\GameSetUpController@rouletteedit');
  Route::post('/roulette-set-up/{id}/rouletteUpdate', 'Admin\game\GameSetUpController@rouletteUpdate');

  Route::resource('/lucky', 'Admin\LockyController');
  Route::resource('/roulette-result', 'Admin\Roulette\RouletteController');
  Route::resource('/color-matka-bet', 'Admin\ColorMatka\ColorMatkaController');
  Route::resource('/color-bet', 'Admin\Color\ColorController');
  Route::resource('/jackpot-bet', 'Admin\Jackpot\JackpotController');


  Route::resource('/refrence', 'Admin\RefrenceController');
  Route::get('/refrencedelete/{id}', 'Admin\RefrenceController@destroy');
  Route::get('/refrence/changestatus/{id}', 'Admin\RefrenceController@changeStatus');

  Route::resource('/notice', 'Admin\BroadCasteController');

  Route::resource('/broadcast', 'Admin\BroadcastController');
  Route::get('/broadcastdelete/{id}', 'Admin\BroadcastController@destroy');

  #Start route payment
  Route::resource('/payment', 'Admin\PaymentController');
  Route::post('/removepoint', 'Admin\PaymentController@removepoint');

  Route::get('/report/money', 'Admin\PaymentController@reportMoney');
  Route::get('/report/deduct-money', 'Admin\PaymentController@reportDeductMoney');
  Route::get('/report/wuthdraw', 'Admin\PaymentController@reportWithdraw');
  #end route payment

  #Start route payment
  Route::resource('/withdraw', 'Admin\WithdrawController');
  Route::get('withdraw-timings', 'Admin\WithdrawController@withdrawTimingGet');
  Route::post('withdraw-timings', 'Admin\WithdrawController@withdrawTimingPost');
  
  
  Route::resource('/fund', 'Admin\FundController');
  #end route payment
  
  
  
  #Start Agent payment
  Route::resource('/agent', 'Admin\AgentController');
  Route::get('/collection', 'Admin\AgentController@collectionReport');
  Route::post('/settlement', 'Admin\AgentController@settlement');
  Route::get('agentchangestatus/{id}', 'Admin\AgentController@changeStatus');
  Route::get('/agentdelete/{id}', 'Admin\AgentController@destroy');
  
  #Start Sub Master payment
  Route::resource('/submaster', 'Admin\SubMasterController');
  Route::get('/collection', 'Admin\SubMasterController@collectionReport');
  Route::post('/settlement', 'Admin\SubMasterController@settlement');
  Route::get('submasterchangestatus/{id}', 'Admin\SubMasterController@changeStatus');
  Route::get('/submasterdelete/{id}', 'Admin\SubMasterController@destroy');


  #Start route payment
  Route::resource('/customer', 'Admin\CustomerController');
  Route::get('changestatus/{id}', 'Admin\CustomerController@changeStatus');
  Route::get('/customerdelete/{id}', 'Admin\CustomerController@destroy');
  Route::get('/userpalyed/{id}', 'Admin\CustomerController@customerPlay');
  Route::get('/userpalyed', 'Admin\CustomerController@customersPlay');
  Route::get('/transcation/{id}', 'Admin\CustomerController@Transcation');
  Route::get('/fund-report', 'Admin\CustomerController@fundReport');
  #end route payment
  
  
  Route::get('/sell-report', 'Admin\SellReportController@reportGeneration');
  
  
  
  Route::get('/oc-cutting', 'Admin\OCCuttingController@reportGeneration');
  
  
  Route::resource('/bidrevert', 'Admin\BidRevertController');

  #Start route payment
  Route::resource('/ratetype', 'Admin\RateTypeController');
  #end route payment

  #Start route day
  Route::resource('/days', 'Admin\DayController');
  #end route day

  #Start route game group
  Route::resource('/game-group', 'Admin\GameGroupController');
  #end route game group

  #Start route game 
  Route::resource('/games', 'Admin\GameController');
  Route::resource('/newgames', 'Admin\NewGameController');
  #end route game 

  #Start route store 
  Route::resource('/stores', 'Admin\StoresController');
  #end route store 

  #Start route store 
  Route::resource('/stores-game-schedule', 'Admin\StoresGameScheduleController');
  Route::post('/store-game/update/{id}', 'Admin\StoresGameScheduleController@updateStoreGame');

  Route::resource('/stores-newgame-schedule', 'Admin\NewGameController');

  Route::get('/group-game-schedule', 'Admin\StoresGameScheduleController@GroupGameSchedule');
  Route::get('/gamedelete/{id}', 'Admin\StoresGameScheduleController@destroy');
  Route::get('/storepalyed/{id}', 'Admin\StoresGameScheduleController@storePlay');

  Route::get('/newgamedelete/{id}', 'Admin\NewGameController@destroy');
  Route::get('/newstorepalyed/{id}', 'Admin\NewGameController@storePlay');

  Route::get('/storepalyedopen/{id}', 'Admin\StoresGameScheduleController@storePlayOpen');
  Route::get('/your-store-palyed-open/{id}', 'Admin\NewGameWinnerController@yourstoreplayOpen');
  Route::get('/your-store-palyed-close/{id}', 'Admin\NewGameWinnerController@yourstoreplayClose');

  Route::get('/storepalyedclose/{id}', 'Admin\StoresGameScheduleController@storePlayClose');


  Route::get('/played-game', 'Admin\StoresGameScheduleController@playedGame');
  Route::get('/your-played-game', 'Admin\NewGameController@yourplayedGame');
  
  
     Route::get('/delete-bet', 'Admin\StoresGameScheduleController@deleteBet');
     Route::get('/edit-bet', 'Admin\StoresGameScheduleController@editBet');
     
     Route::post('/bid-revert-all', 'Admin\BidRevertController@deleteBet');
     
  Route::get('/profit-loss', 'Admin\ProfitLossController@playedGame');

  #end route store 

  #Start route game show 
  Route::resource('single-digit', 'Admin\SingleDigitController');
  Route::get('singledigit/excel', 'Admin\SingleDigitController@downloadExcel');

  Route::get('single-digit-summary', 'Admin\SingleDigitController@Summar');
  Route::resource('choice-panna', 'Admin\ChoicePannaBitController');
  Route::get('choice-panna-summary', 'Admin\ChoicePannaBitController@Summar');
  Route::resource('jodi', 'Admin\JodiBitController');
  Route::resource('signle-panna', 'Admin\SinglePannaController');
  Route::resource('double-panna', 'Admin\DoublePannaController');
  Route::resource('tripple-panna', 'Admin\TripplePannaController');
  Route::get('jodis/excel', 'Admin\JodiBitController@downloadExcel');
  Route::get('jodi-summary', 'Admin\JodiBitController@Summar');
  Route::resource('red-bracket', 'Admin\RedBracketBitController');
  Route::get('red-bracket-summary', 'Admin\RedBracketBitController@Summar');
  Route::resource('digit-based-jodi', 'Admin\DigitBasedJodiBitController');
  Route::get('digit-based-summary', 'Admin\RedBracketBitController@Summar');
  Route::resource('single-patti', 'Admin\SinglePattiController');
  Route::resource('double-patti', 'Admin\DoublePattiController');
  Route::resource('triple-patti', 'Admin\TripplePattiController');
  Route::resource('sp-motor', 'Admin\SpMotorController');
  Route::resource('dp-motor', 'Admin\DpMotorController');


  Route::resource('bead-on-motor', 'Admin\BeadOnMotorController');
  Route::get('beadonmotor/excel', 'Admin\BeadOnMotorController@downloadExcel');

  #End route game show 

  #Start route  game rate
  Route::resource('game-rate', 'Admin\GameRateController');
  #End route  game rate

  #Start route  game result
  Route::resource('game-winner', 'Admin\GameWinnerController');

  Route::resource('new-game-winner', 'Admin\NewGameWinnerController');
  Route::get('addopenresults/{id}', 'Admin\NewGameWinnerController@addOpenResult');
  Route::post('newgamwinner/{id}', 'Admin\NewGameWinnerController@postOpenResult');
  Route::get('addcloseresults/{id}', 'Admin\NewGameWinnerController@addCloseResult');
  Route::post('newgamwinnerclose/{id}', 'Admin\NewGameWinnerController@postCloseResult');
  Route::post('newreverseopen/{id}', 'Admin\NewGameWinnerController@postOpenReverseResult');
  Route::post('newreverseclose/{id}', 'Admin\NewGameWinnerController@postCloseReverseResult');
  Route::get('addnewreverseopen/{id}', 'Admin\NewGameWinnerController@addOpenReverseResult');
  Route::get('addnewreverseclose/{id}', 'Admin\NewGameWinnerController@addCloseReverseResult');

  Route::get('addopenresult/{id}', 'Admin\GameWinnerController@addOpenResult');


  Route::get('reverseopenresult/{id}', 'Admin\GameWinnerController@addOpenReverseResult');
  Route::post('gamwinnerrevers/{id}', 'Admin\GameWinnerController@postOpenReverseResult');

  Route::get('addcloseresult/{id}', 'Admin\GameWinnerController@addCloseResult');

  Route::get('reversecloseresult/{id}', 'Admin\GameWinnerController@addCloseReverseResult');
  Route::get('gamewinnerresult/{id}', 'Admin\GameWinnerController@gameWinner');
  Route::get('newgamewinnerresult/{id}', 'Admin\NewGameWinnerController@gameWinner');

  Route::get('gamewinnerresultclose/{id}', 'Admin\GameWinnerController@gameWinnerClose');
  Route::get('newgamewinnerresultclose/{id}', 'Admin\NewGameWinnerController@gameWinnerClose');
  Route::post('gamwinner/{id}', 'Admin\GameWinnerController@postOpenResult');
  
  
  
  Route::post('declare-result', 'Admin\GameWinnerController@declareResult');
  Route::get('winner-prediction', 'Admin\GameWinnerController@winnerPrediction');
  
  

  Route::post('gamwinnerclose/{id}', 'Admin\GameWinnerController@postCloseResult');

  Route::post('gamwinnerreverseclose/{id}', 'Admin\GameWinnerController@postCloseReverseResult');

  Route::get('gamewinner/excel', 'Admin\GameWinnerController@downloadExcel');
  #End route  game result

  #start route to compare bit place
  Route::get('compare', 'Admin\GameWinnerController@compare');
  #start route to compare bit place

  #Start route  User Winner 
  Route::resource('user-winner', 'Admin\UserWinnerController');
  Route::resource('your-user-winner', 'Admin\NewUserWinnerController');
  Route::get('gameuserwinner/{id}', 'Admin\UserWinnerController@gameUserWinner');
  Route::get('newgameuserwinner/{id}', 'Admin\NewUserWinnerController@gameUserWinner');

  Route::get('gameuserwinnerclose/{id}', 'Admin\UserWinnerController@gameUserWinnerClose');
  Route::get('newgameuserwinnerclose/{id}', 'Admin\NewUserWinnerController@gameUserWinnerClose');


  Route::get('userwinner/excel', 'Admin\UserWinnerController@downloadExcel');
  Route::get('userpayment/{id}', 'Admin\UserWinnerController@Payment');

  #End route  User Winner

  #Start Store wise game group route
  Route::get('/store-game-group', 'Admin\StoresGameScheduleController@StoreGameGroup');

  #End Store wise game group route

  #Start Group wise game group route
  Route::get('/group-game', 'Admin\StoresGameScheduleController@GroupGame');

  #End Group wise game group route

  #Start Store wise open time route
  Route::get('/store-open', 'Admin\StoresGameScheduleController@storeOpen');

  #End Store wise open time route

  #Start Store wise close time route
  Route::get('/store-close', 'Admin\StoresGameScheduleController@storeClose');

  #End Store wise close time route



  #Start route  chakri Routes
  Route::resource('chakri-rate', 'Admin\ChakriMatka\ChakriRateController');
  Route::resource('chakri-bet', 'Admin\ChakriMatka\ChakriBetController');
  #End route  chakri Routes

});

#End Admin Routes